RaisFastRaisFast

Cron

Cron Schedules

GET
/api/v1/admin/crons

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/admin/crons"
Empty
POST
/api/v1/admin/crons

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*unknown

Response Body

curl -X POST "https://example.com/api/v1/admin/crons"
Empty
POST
/api/v1/admin/crons/batch

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/admin/crons/batch" \  -H "Content-Type: application/json" \  -d '{    "action": "string",    "ids": [      "string"    ]  }'
Empty
GET
/api/v1/admin/crons/logs

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/admin/crons/logs"
Empty
POST
/api/v1/admin/crons/logs/cleanup

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X POST "https://example.com/api/v1/admin/crons/logs/cleanup"
Empty
GET
/api/v1/admin/crons/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Schedule ID

Response Body

curl -X GET "https://example.com/api/v1/admin/crons/string"
Empty
DELETE
/api/v1/admin/crons/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Schedule ID

Response Body

curl -X DELETE "https://example.com/api/v1/admin/crons/string"
Empty
PUT
/api/v1/admin/crons/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Schedule ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*unknown

Response Body

curl -X PUT "https://example.com/api/v1/admin/crons/string"
Empty
POST
/api/v1/admin/crons/{id}/toggle

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Schedule ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*unknown

Response Body

curl -X POST "https://example.com/api/v1/admin/crons/string/toggle"
Empty